import path from 'node:path';
import fs from 'node:fs';

const version = "0.2.0";

function resolvePath(p, cwd = process.cwd()) {
  return path.isAbsolute(p) ? p : path.resolve(cwd, p);
}
function ensureDir(dir) {
  if (fs.existsSync(dir)) {
    const stat = fs.statSync(dir);
    if (!stat.isDirectory()) {
      fs.mkdirSync(dir);
    }
  } else {
    fs.mkdirSync(dir);
  }
}

export { ensureDir as e, resolvePath as r, version as v };
